import { NativeModules, Platform } from 'react-native';
import { EudiWalletEventManager } from './EudiWalletEventManager';
const {
  EudiWalletModule
} = NativeModules;
export class EudiWallet {
  static isInitialized = false;
  static async initialize(config) {
    await EudiWalletModule.initialize(config);
    EudiWalletEventManager.start();
    this.isInitialized = true;
  }
  static getDocuments() {
    return EudiWalletModule.getDocuments();
  }
  static getDocumentById(documentId) {
    return EudiWalletModule.getDocumentById(documentId);
  }
  static deleteDocumentById(documentId) {
    return EudiWalletModule.deleteDocumentById(documentId);
  }
  static issueDocumentByDocType(docType) {
    return EudiWalletModule.issueDocumentByDocType(docType);
  }
  static issueDocumentByOfferUri(offerUri) {
    return EudiWalletModule.issueDocumentByOfferUri(offerUri);
  }
  static resolveDocumentOffer(offerUri) {
    return EudiWalletModule.resolveDocumentOffer(offerUri);
  }
  static resumeOpenId4VciWithAuthorization(uri) {
    // No-op on iOS
    if (Platform.OS === 'ios') return;
    EudiWalletModule.resumeOpenId4VciWithAuthorization(uri);
  }
  static startRemotePresentation(url) {
    EudiWalletModule.startRemotePresentation(url);
  }
  static startProximityPresentation() {
    EudiWalletModule.startProximityPresentation();
  }
  static sendResponse(disclosedDocuments) {
    return EudiWalletModule.sendResponse(disclosedDocuments);
  }
  static stopPresentation(sendSessionTerminationMessage = true, useTransportSpecificSessionTermination = false) {
    if (Platform.OS === 'android') {
      EudiWalletModule.stopPresentation(sendSessionTerminationMessage, useTransportSpecificSessionTermination);
    } else {
      EudiWalletModule.stopPresentation();
    }
  }
  static async loadSampleData(sampleDataFile) {
    await EudiWalletModule.loadSampleData(sampleDataFile);
  }
  static addTransferEventListener(eventListener) {
    return EudiWalletEventManager.addEventListener(eventListener);
  }
  static removeTransferEventListener(listenerId) {
    EudiWalletEventManager.removeEventListener(listenerId);
  }
}
//# sourceMappingURL=EudiWallet.js.map